package com.alterdekim.game.component.game.avatar;

import com.alterdekim.game.xml.NumericBooleanSerializer;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;
import lombok.AllArgsConstructor;
import lombok.Getter;


public interface InitMagicAbility {
    @JacksonXmlProperty(localName = "Id", isAttribute = true)
    Integer getId();

    @JacksonXmlProperty(localName = "ExpirationDate", isAttribute = true)
    String getExpirationDate();

    @JacksonXmlProperty(localName = "IsLimited", isAttribute = true)
    Integer getIsLimited();
}
