package com.alterdekim.game.component.game.inventory;

import com.alterdekim.game.entity.Good;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlElementWrapper;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

import java.util.List;

@Getter
@NoArgsConstructor
@AllArgsConstructor
public class InventoryList {
    @JacksonXmlProperty(isAttribute = true, localName = "TextResourceID")
    private Integer textResourceId;

    @JacksonXmlProperty
    @JacksonXmlElementWrapper(useWrapping = false, localName = "items")
    private List<InventoryItem> items;
}
