package com.alterdekim.game.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

@Data
@Configuration
public class ServerConfig {
    @Value("${srv.publicDomain}") private String publicDomain;
    @Value("${srv.rtmpPort}") private Integer gameServerPort;
    @Value("${srv.resPathSWF}") private String defaultResourcesPath;
    @Value("${srv.basePathSWF}") private String defaultBasePath;
    @Value("${srv.catPathSWF}") private String defaultCatalogsPath;
    @Value("${srv.mqPathSWF}") private String defaultMiniquestsPath;
}
