package com.alterdekim.game.controller.result.signup;

import com.alterdekim.game.xml.NumericBooleanSerializer;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public class AvatarBodyPart {
    @JacksonXmlProperty(isAttribute = true, localName = "ID")
    private Integer id;

    @JacksonXmlProperty(isAttribute = true, localName = "Color")
    private Integer color;

    @JacksonXmlProperty(isAttribute = true, localName = "IsUsed")
    @JsonSerialize(using = NumericBooleanSerializer.class)
    private Boolean isUsed;

    @JacksonXmlProperty(isAttribute = true, localName = "URL")
    private String url;
}
